#
# spec file for package rrdtool (Version 1.2.15)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex freetype2 freetype2-devel gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libart_lgpl libart_lgpl-devel libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libpng libpng-devel libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils python python-devel rcs readline rpm sed sqlite strace sysvinit tar tcl tcl-devel tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           rrdtool
BuildRequires:  freetype2-devel libart_lgpl-devel libpng-devel python-devel tcl-devel
License:        GNU General Public License (GPL)
Group:          Productivity/Scientific/Math
Autoreqprov:    on
Requires:       perl = %{perl_version}
Version:        1.2.15
Release:        38.1
Source:         %{name}-%{version}.tar.bz2
Source1:        cgilib-0.5.tar.bz2 
Patch:          %{name}-%{version}-stderr.diff
Patch1:         %{name}-%{version}-ssize.diff 
Patch2:         %{name}-%{version}-DoS.diff
URL:            http://ee-staff.ethz.ch/~oetiker/webtools/rrdtool/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        A tool for data logging and analysis

%py_requires

%description
A tool to log and analyze data gathered from all kinds of data sources.
The data analysis part of RRDtool is based on the ability to quickly
generate graphical representations of the data values collected over a
definable time period.



Authors:
--------
    Tobias Oetiker <oetiker@ee.ethz.ch>

%debug_package
%prep
%setup -q -a1
%patch
%patch1
%patch2

%build
# first prepare cgilib
cd cgilib*
make CC=gcc CFLAGS="$RPM_OPT_FLAGS -fPIC -I."
mkdir -p ../lb/include
cp *.h ../lb/include
mkdir -p ../lb/lib
cp libcgi* ../lb/lib
cd ..
# build rrdtool
%{suse_update_config}
libtoolize --force
#autoreconf --force --install
aclocal --force
autoconf -f
automake -fca
CFLAGS="$RPM_OPT_FLAGS -fPIC" CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-L`pwd`/lb/lib" CPPFLAGS="-I`pwd`/lb/include" \
    ./configure \
            --mandir=%{_mandir} \
            --prefix=%{_prefix} \
            --libdir=%{_libdir} \
            --datadir=%{_datadir} \
            --infodir=%{_infodir} \
            --sysconfdir=%{_sysconfdir} \
            --enable-shared \
            --with-tcllib=%{_libdir} \
            --with-gnu-ld
make

%install
#eval `perl -V:installarchlib`
make \
    DESTDIR=$RPM_BUILD_ROOT \
    idocdir=%{_docdir}/%{name}/txt/ \
    ihtmldir=%{_docdir}/%{name}/html/ \
    examplesdir=%{_docdir}/%{name}/examples/ \
    libdir=%{_libdir} \
    pkglibdir=%_datadir/tcl/tclrrd%version \
    TCL_PACKAGE_DIR=%_datadir/tcl/tclrrd%version \
    TCL_PACKAGE_PATH=%_datadir/tcl \
    install
# we install this later again
rm -r $RPM_BUILD_ROOT%{_prefix}/lib/perl
# install correctly perl modules
pushd bindings/perl-piped 
perl Makefile.PL
make DESTDIR=$RPM_BUILD_ROOT install_vendor
popd
pushd bindings/perl-shared 
perl Makefile.PL
make DESTDIR=$RPM_BUILD_ROOT install_vendor
popd
%perl_process_packlist
#fix build (it would be better to split cgilib)
sed 's/[[:space:]]*-L\/usr\/src\/packages\/BUILD\/%{name}-%{version}\/lb\/lib[[:space:]]*//' $RPM_BUILD_ROOT/%{_libdir}/librrd.la > tmp
mv tmp $RPM_BUILD_ROOT/%{_libdir}/librrd.la
sed 's/[[:space:]]*-L\/usr\/src\/packages\/BUILD\/%{name}-%{version}\/lb\/lib[[:space:]]*//' $RPM_BUILD_ROOT/%{_libdir}/librrd_th.la > tmp
mv tmp $RPM_BUILD_ROOT/%{_libdir}/librrd_th.la
        
# documentation
install -m 644 CHANGES CONTRIBUTORS COPYING COPYRIGHT NT-BUILD-TIPS.txt README TODO $RPM_BUILD_ROOT/%{_docdir}/%{name}
# Script libraries for Tcl extensions should be in a package-specific
# subdir of /usr/share/tcl
mkdir -p $RPM_BUILD_ROOT/usr/share/tcl/tclrrd%{version}
#mv $RPM_BUILD_ROOT/usr/lib/tclrrd%{version}/pkgIndex.tcl \
#   $RPM_BUILD_ROOT/usr/share/tcl/tclrrd%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_docdir}/rrdtool
%doc %{_mandir}/*/*
/usr/bin/*
/usr/include/*
%{_datadir}/tcl
%{_libdir}/lib*
%{_libdir}/tclrrd*.so
%{perl_vendorlib}/RRDp.pm
%{perl_vendorarch}/RRDs.pm
%{perl_vendorarch}/ntmake.pl
%{perl_vendorarch}/auto/*
/var/adm/perl-modules/rrdtool
%{_datadir}/%{name}
%{py_sitedir}/rrdtoolmodule.so

%changelog -n rrdtool
* Mon Jan 29 2007 - anicka@suse.cz
- fix DoS in rrd_graph [#231212]
* Mon Sep 25 2006 - anicka@suse.cz
- use %%py_requires [#207920]
* Fri Sep 15 2006 - anicka@suse.cz
- store value returned with PyTuple_Size in
  Py_ssize_t instead of int
* Mon Jul 17 2006 - anicka@suse.cz
- update to 1.2.15
  * vnames can be up to MAX_VNAME_LEN long
  * bugfixes, documentation fixes
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 05 2006 - anicka@suse.cz
- update to 1.2.12
* Wed Dec 14 2005 - max@suse.de
- Fixed installation of the Tcl bindings.
* Tue Nov 01 2005 - anicka@suse.cz
- fix build - return proper value from strerror_r
* Wed Sep 21 2005 - anicka@suse.cz
- fix build
* Sun Jul 31 2005 - cthiel@suse.de
- moved pkgIndex.tcl to /usr/share/tcl/tclrrd
* Tue Jul 26 2005 - cthiel@suse.de
- update to 1.2.11
* Tue Jun 21 2005 - anicka@suse.cz
- update to 1.2.10
- drop no longer neccessary rrdtool-tcl.patch
* Thu May 19 2005 - mcihar@suse.cz
- update to 1.2.8
- reneabled tcl (copilation fixed by rrdtool-tcl.patch)
- added python bindings
* Tue May 10 2005 - mcihar@suse.cz
- update to 1.2.6
- dropped tcl for now, it's somewhat broken
* Mon Apr 18 2005 - mcihar@suse.de
- include correct config.h
* Wed Aug 11 2004 - tcrhak@suse.cz
- update to 1.0.49
* Fri Aug 06 2004 - tcrhak@suse.cz
- update to 1.0.48
* Thu Mar 04 2004 - tcrhak@suse.cz
- do not use its own (and old) libpng and libz
* Wed Feb 18 2004 - tcrhak@suse.cz
- update to version 1.0.46
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Wed Aug 20 2003 - mjancar@suse.cz
- require the perl version we build with
* Mon Jul 28 2003 - tcrhak@suse.cz
- removed %%{vendor_perl}/auto from filelist
* Mon Jul 28 2003 - tcrhak@suse.cz
- update to version 1.0.45
- fixed file list
- require perl
* Mon Jul 28 2003 - ro@suse.de
- install perl files to vendor location
* Fri May 23 2003 - ro@suse.de
- fix build with current libtool
* Sun Jan 12 2003 - tcrhak@suse.cz
- update to 1.0.40
* Tue Nov 19 2002 - ro@suse.de
- run full autoreconf and extend configure.in for that
* Fri Aug 09 2002 - mls@suse.de
- use sitearch macro
* Tue Jul 09 2002 - tcrhak@suse.cz
- update to version 1.0.39
* Mon Jun 03 2002 - ro@suse.de
- fix build on lib64 platforms
* Mon May 06 2002 - tcrhak@suse.cz
- omitted prefix i386-suse-linux from names of binaries
  and example scripts (bug #16105)
* Fri Feb 08 2002 - draht@suse.de
- added rrdtool-1.0.33-zlib-zfree.dif against duplicate free() in
  zlib
* Thu Jun 14 2001 - adostal@suse.cz
- fix for new autoconf (add libtoolize --force)
* Wed Apr 11 2001 - cihlar@suse.cz
- updated to version 1.0.33
* Mon Mar 19 2001 - cihlar@suse.cz
- fixed call of suse_update_config
* Fri Jan 26 2001 - cihlar@suse.cz
- package created
